proyectos_ns/ptp2/openscoco_interactivo_django-main/openscoco_django/openscoco/urls.py
from django.urls import path
from . import views

app_name = 'openscoco'

urlpatterns = [
    path('', views.index, name='index'),
    path('entrenar/', views.entrenar, name='entrenar'),
    path('reto1', views.reto1, name='reto1'),
    path('reto2', views.reto2, name='reto2'),
    path('reto3', views.reto3, name='reto3'),
    path('reto4', views.reto4, name='reto4'),
    path('reto5', views.reto5, name='reto5'),
    path('reset', views.reset, name='reset'),

    path('condicionales1', views.condicionales_1, name='condicionales1'),
    path('condicionales2', views.condicionales_2, name='condicionales2'),
    path('condicionales3', views.condicionales_3, name='condicionales3'),
    path('condicionales4', views.condicionales_4, name='condicionales4'),
    path('condicionales5', views.condicionales_5, name='condicionales5'),
    path('reset2', views.reset2, name='reset2'),
    
    path('ciclos1', views.ciclos_1, name='ciclos1'),
    path('ciclos2', views.ciclos_2, name='ciclos2'),
    path('ciclos3', views.ciclos_3, name='ciclos3'),
    path('ciclos4', views.ciclos_4, name='ciclos4'),
    path('ciclos5', views.ciclos_5, name='ciclos5'),
    path('reset3', views.reset3, name='reset3'),
    
    path('funciones1', views.funciones_1, name='funciones1'),
    path('funciones2', views.funciones_2, name='funciones2'),
    path('funciones3', views.funciones_3, name='funciones3'),
    path('funciones4', views.funciones_4, name='funciones4'),
    path('funciones5', views.funciones_5, name='funciones5'),
    path('reset4', views.reset4, name='reset4'),
    
    path('vectores1', views.vectores_1, name='vectores1'),
    path('vectores2', views.vectores_2, name='vectores2'),
    path('vectores3', views.vectores_3, name='vectores3'),
    path('vectores4', views.vectores_4, name='vectores4'),
    path('vectores5', views.vectores_5, name='vectores5'),
    path('reset5', views.reset5, name='reset5'),
    
]

proyectos_ns/ptp2/openscoco_interactivo_django-main/openscoco_django/openscoco_django/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('', include('ptps.urls')),
    path('admin/', admin.site.urls),
    path('openscoco/', include('openscoco.urls')),
    path('openscoco_interactivo/', include("openscoco_interactivo.urls")),
]

proyectos_ns/ptp2/openscoco_interactivo_django-main/openscoco_django/ptps/urls.py
from django.urls import path
from . import views

app_name = 'ptps'

urlpatterns = [
    path('', views.index, name='index'),
]

proyectos_ns/ptp2/openscoco_interactivo_django-main/openscoco_django/openscoco/models.py
from django.db import models

# Create your models here.

proyectos_ns/ptp2/openscoco_interactivo_django-main/openscoco_django/openscoco/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponse, HttpResponseRedirect
from django.urls import reverse, reverse_lazy

def index(request):
    # Política de privacidad
    return render(request, 'openscoco/index.html')
def entrenar(request):
    #preparar la sesion
    sesion = request.session.get('entrenar', False)
    if not sesion:
        request.session["entrenar"] = [True, 0, 0, 0, 0, 0]

    return render(request, 'openscoco/entrenar.html')

def reto1(request):
    #detectar nivel y redireccionar
    sesion = request.session.get('entrenar', False)
    
    if sesion[1] == 0:
        return render(request, 'openscoco/reto1.html')
    elif sesion[1] == 25:
        return HttpResponseRedirect(reverse('openscoco:reto2'))
    elif sesion[1] == 50:
        return HttpResponseRedirect(reverse('openscoco:reto3'))
    elif sesion[1] == 75:
        return HttpResponseRedirect(reverse('openscoco:reto4'))
    elif sesion[1] == 100:
        return HttpResponseRedirect(reverse('openscoco:reto5'))
    else:
        return HttpResponseRedirect(reverse('openscoco:index'))
    

def reto2(request):
    sesion = request.session.get('entrenar', False)
    #actualizar datos en variable de sesión y prevenir botón atrás
    if sesion and sesion[1] <= 25:
        sesion[1] = 25
        request.session["entrenar"] = sesion

    return render(request, 'openscoco/reto2.html')

def reto3(request):
    sesion = request.session.get('entrenar', False)
    if sesion and sesion[1] <= 50:
        sesion[1] = 50
        request.session["entrenar"] = sesion

    return render(request, 'openscoco/reto3.html')

def reto4(request):
    sesion = request.session.get('entrenar', False)
    if sesion and sesion[1] <= 75:
        sesion[1] = 75
        request.session["entrenar"] = sesion

    return render(request, 'openscoco/reto4.html')

def reto5(request):
    sesion = request.session.get('entrenar', False)
    if sesion and sesion[1] <= 100:
        sesion[1] = 100
        request.session["entrenar"] = sesion

    return render(request, 'openscoco/reto5.html')

def reset(request):
    sesion = request.session.get('entrenar', False)
    if sesion:
        sesion[1] = 0
        request.session["entrenar"] = sesion

    return HttpResponseRedirect(reverse('openscoco:index'))


    
def condicionales_1(request):
    #detectar nivel y redireccionar
    sesion = request.session.get('entrenar', False)
    
    if sesion[2] == 0:
        return render(request, 'openscoco/condicionales_1.html')
    elif sesion[2] == 25:
        return HttpResponseRedirect(reverse('openscoco:condicionales2'))
    elif sesion[2] == 50:
        return HttpResponseRedirect(reverse('openscoco:condicionales3'))
    elif sesion[2] == 75:
        return HttpResponseRedirect(reverse('openscoco:condicionales4'))
    elif sesion[2] == 100:
        return HttpResponseRedirect(reverse('openscoco:condicionales5'))
    else:
        return HttpResponseRedirect(reverse('openscoco:index'))

def condicionales_2(request):
    sesion = request.session.get('entrenar', False)
    #actualizar datos en variable de sesión y prevenir botón atrás
    if sesion and sesion[2] <= 25:
        sesion[2] = 25
        request.session["entrenar"] = sesion

    return render(request, 'openscoco/condicionales_2.html')

def condicionales_3(request):
    sesion = request.session.get('entrenar', False)
    #actualizar datos en variable de sesión y prevenir botón atrás
    if sesion and sesion[2] <= 50:
        sesion[2] = 50
        request.session["entrenar"] = sesion

    return render(request, 'openscoco/condicionales_3.html')

def condicionales_4(request):
    sesion = request.session.get('entrenar', False)
    #actualizar datos en variable de sesión y prevenir botón atrás
    if sesion and sesion[2] <= 75:
        sesion[2] = 75
        request.session["entrenar"] = sesion

    return render(request, 'openscoco/condicionales_4.html')

def condicionales_5(request):
    sesion = request.session.get('entrenar', False)
    #actualizar datos en variable de sesión y prevenir botón atrás
    if sesion and sesion[2] <= 100:
        sesion[2] = 100
        request.session["entrenar"] = sesion

    return render(request, 'openscoco/condicionales_5.html')


def reset2(request):
    sesion = request.session.get('entrenar', False)
    if sesion:
        sesion[2] = 0
        request.session["entrenar"] = sesion

    return HttpResponseRedirect(reverse('openscoco:index'))


    
def ciclos_1(request):
    #detectar nivel y redireccionar
    sesion = request.session.get('entrenar', False)
    
    if sesion[3] == 0:
        return render(request, 'openscoco/ciclos_1.html')
    elif sesion[3] == 25:
        return HttpResponseRedirect(reverse('openscoco:ciclos2'))
    elif sesion[3] == 50:
        return HttpResponseRedirect(reverse('openscoco:ciclos3'))
    elif sesion[3] == 75:
        return HttpResponseRedirect(reverse('openscoco:ciclos4'))
    elif sesion[3] == 100:
        return HttpResponseRedirect(reverse('openscoco:ciclos5'))
    else:
        return HttpResponseRedirect(reverse('openscoco:index'))

def ciclos_2(request):
    sesion = request.session.get('entrenar', False)
    #actualizar datos en variable de sesión y prevenir botón atrás
    if sesion and sesion[3] <= 25:
        sesion[3] = 25
        request.session["entrenar"] = sesion

    return render(request, 'openscoco/ciclos_2.html')

def ciclos_3(request):
    sesion = request.session.get('entrenar', False)
    #actualizar datos en variable de sesión y prevenir botón atrás
    if sesion and sesion[3] <= 50:
        sesion[3] = 50
        request.session["entrenar"] = sesion

    return render(request, 'openscoco/ciclos_3.html')

def ciclos_4(request):
    sesion = request.session.get('entrenar', False)
    #actualizar datos en variable de sesión y prevenir botón atrás
    if sesion and sesion[3] <= 75:
        sesion[3] = 75
        request.session["entrenar"] = sesion

    return render(request, 'openscoco/ciclos_4.html')

def ciclos_5(request):
    sesion = request.session.get('entrenar', False)
    #actualizar datos en variable de sesión y prevenir botón atrás
    if sesion and sesion[3] <= 100:
        sesion[3] = 100
        request.session["entrenar"] = sesion

    return render(request, 'openscoco/ciclos_5.html')


def reset3(request):
    sesion = request.session.get('entrenar', False)
    if sesion:
        sesion[3] = 0
        request.session["entrenar"] = sesion

    return HttpResponseRedirect(reverse('openscoco:index'))


    
def funciones_1(request):
    #detectar nivel y redireccionar
    sesion = request.session.get('entrenar', False)
    
    if sesion[4] == 0:
        return render(request, 'openscoco/funciones_1.html')
    elif sesion[4] == 25:
        return HttpResponseRedirect(reverse('openscoco:funciones2'))
    elif sesion[4] == 50:
        return HttpResponseRedirect(reverse('openscoco:funciones3'))
    elif sesion[4] == 75:
        return HttpResponseRedirect(reverse('openscoco:funciones4'))
    elif sesion[4] == 100:
        return HttpResponseRedirect(reverse('openscoco:funciones5'))
    else:
        return HttpResponseRedirect(reverse('openscoco:index'))

def funciones_2(request):
    sesion = request.session.get('entrenar', False)
    #actualizar datos en variable de sesión y prevenir botón atrás
    if sesion and sesion[4] <= 25:
        sesion[4] = 25
        request.session["entrenar"] = sesion

    return render(request, 'openscoco/funciones_2.html')

def funciones_3(request):
    sesion = request.session.get('entrenar', False)
    #actualizar datos en variable de sesión y prevenir botón atrás
    if sesion and sesion[4] <= 50:
        sesion[4] = 50
        request.session["entrenar"] = sesion

    return render(request, 'openscoco/funciones_3.html')

def funciones_4(request):
    sesion = request.session.get('entrenar', False)
    #actualizar datos en variable de sesión y prevenir botón atrás
    if sesion and sesion[4] <= 75:
        sesion[4] = 75
        request.session["entrenar"] = sesion

    return render(request, 'openscoco/funciones_4.html')

def funciones_5(request):
    sesion = request.session.get('entrenar', False)
    #actualizar datos en variable de sesión y prevenir botón atrás
    if sesion and sesion[4] <= 100:
        sesion[4] = 100
        request.session["entrenar"] = sesion

    return render(request, 'openscoco/funciones_5.html')


def reset4(request):
    sesion = request.session.get('entrenar', False)
    if sesion:
        sesion[4] = 0
        request.session["entrenar"] = sesion

    return HttpResponseRedirect(reverse('openscoco:index'))


    
def vectores_1(request):
    #detectar nivel y redireccionar
    sesion = request.session.get('entrenar', False)
    
    if sesion[5] == 0:
        return render(request, 'openscoco/vectores_1.html')
    elif sesion[5] == 25:
        return HttpResponseRedirect(reverse('openscoco:vectores2'))
    elif sesion[5] == 50:
        return HttpResponseRedirect(reverse('openscoco:vectores3'))
    elif sesion[5] == 75:
        return HttpResponseRedirect(reverse('openscoco:vectores4'))
    elif sesion[5] == 100:
        return HttpResponseRedirect(reverse('openscoco:vectores5'))
    else:
        return HttpResponseRedirect(reverse('openscoco:index'))

def vectores_2(request):
    sesion = request.session.get('entrenar', False)
    #actualizar datos en variable de sesión y prevenir botón atrás
    if sesion and sesion[5] <= 25:
        sesion[5] = 25
        request.session["entrenar"] = sesion

    return render(request, 'openscoco/vectores_2.html')

def vectores_3(request):
    sesion = request.session.get('entrenar', False)
    #actualizar datos en variable de sesión y prevenir botón atrás
    if sesion and sesion[5] <= 50:
        sesion[5] = 50
        request.session["entrenar"] = sesion

    return render(request, 'openscoco/vectores_3.html')

def vectores_4(request):

proyectos_ns/ptp2/openscoco_interactivo_django-main/openscoco_django/openscoco/templates/openscoco/condicionales_5.html
{% load static %}
<!DOCTYPE html>
<html lang="es">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Opens Coco - Entrenamiento</title>
  <meta name="description" content="Opens Coco - Producto Tecnico Pedagógico SENA." />
  <meta name=”robots” content="index, follow">
  <meta name="keywords" content="logica, programación, python">
  <meta name="author" content="Jorge Antonio García Cárdenas">

  <link href="https://fonts.googleapis.com/css2?family=Architects+Daughter&display=swap" rel="stylesheet" />
  <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@200;400;600&display=swap" rel="stylesheet" />

  <link rel="stylesheet" href="{% static 'openscoco/css/bootstrap.min.css' %}" />
  <link rel="stylesheet" href="{% static 'openscoco/css/hover-min.css' %}" />
  <link rel="stylesheet" href="{% static 'openscoco/css/animate.min.css' %}" />

  <link rel="stylesheet" href="{% static 'openscoco/css/diseno.css' %}" />

  <link rel="apple-touch-icon" sizes="180x180" href="{% static 'openscoco/img/favicon_io/apple-touch-icon.png' %}">
  <link rel="icon" type="image/png" sizes="32x32" href="{% static 'openscoco/img/favicon_io/favicon-32x32.png' %}">
  <link rel="icon" type="image/png" sizes="16x16" href="{% static 'openscoco/img/favicon_io/favicon-16x16.png' %}">
  <link rel="manifest" href="{% static 'openscoco/img/favicon_io/site.webmanifest' %}">
</head>

<body>


  <section id="fondo">
    <div class="progress" style="background-color:rgba(255, 255, 255, 0);">
      <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar"
          aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 100%">100%</div>
  </div>
  <div class="container">
      <div class="d-flex justify-content-center">
              <img src="{% static 'openscoco/img/icons8-split-100.png' %}" height="32">
              <img src="{% static 'openscoco/img/t_condicionales.png' %}" width="70%">
      </div>
      <br>
    <div>

      <h1 style="color:orange">Felicitaciones has completado este nivel!!</h1>
      <img src="{% static 'openscoco/img/icons8-phonelink-lock-100.png' %}" height="100"><br />
      <!-- fin centro -->
      <a class="btn btn-warning" href="{% url 'openscoco:ciclos1' %}" role="button">Siguiente tema</a>
      <br><br><br>
      <a class="btn btn-dark" href="javascript:reset('{% url 'openscoco:reset2' %}')" role="button">Resetear Avance</a>
    </div>
    <br />
    <br />

  </section>

  <!-- Modal -->
  <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle"
    aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLongTitle">Opens Coco</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body" id="rmodal">
          ...
        </div>
        <div class="modal-footer">
          <a id="rboton" class="btn btn-primary" href="#" role="button">Aceptar</a>
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        </div>
      </div>
    </div>
  </div>

  <!-- JavaScript -->
  <script src="{% static 'openscoco/js/jquery-3.5.1.slim.min.js' %}"></script>
  <script src="{% static 'openscoco/js/popper.min.js' %}"></script>
  <script src="{% static 'openscoco/js/bootstrap.min.js' %}"></script>

  <script src="{% static 'openscoco/js/libreria.js' %}"></script>

</body>

</html>

proyectos_ns/ptp2/openscoco_interactivo_django-main/openscoco_django/openscoco/templates/openscoco/entrenar.html
{% load static %}
<!DOCTYPE html>
<html lang="es">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <title>Opens Coco - Entrenamiento</title>
  <meta name="description"
    content="Opens Coco - Producto Técnico Pedagógico SENA." />
  <meta name=”robots” content="index, follow">
  <meta name="keywords"
    content="logica, programación, python">
  <meta name="author" content="Jorge Antonio García Cárdenas">

  <link href="https://fonts.googleapis.com/css2?family=Architects+Daughter&display=swap" rel="stylesheet" />
  <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@200;400;600&display=swap" rel="stylesheet" />

  <link rel="stylesheet" href="{% static 'openscoco/css/bootstrap.min.css' %}" />
  <link rel="stylesheet" href="{% static 'openscoco/css/hover-min.css' %}" />
  <link rel="stylesheet" href="{% static 'openscoco/css/animate.min.css' %}" />

  <link rel="stylesheet" href="{% static 'openscoco/css/diseno.css' %}" />

  <link rel="apple-touch-icon" sizes="180x180" href="{% static 'openscoco/img/favicon_io/apple-touch-icon.png' %}">
  <link rel="icon" type="image/png" sizes="32x32" href="{% static 'openscoco/img/favicon_io/favicon-32x32.png' %}">
  <link rel="icon" type="image/png" sizes="16x16" href="{% static 'openscoco/img/favicon_io/favicon-16x16.png' %}">
  <link rel="manifest" href="{% static 'openscoco/img/favicon_io/site.webmanifest' %}">
</head>

<body>

  <section id="fondo">
    <br/>
      <!-- fin centro -->
      <div class="d-grid gap-2 col-12 mx-auto btn-group-vertical" role="group" aria-label="Basic outlined example">
        
        <a class="btn btn-lg btn-outline-warning" href="{% url 'openscoco:reto1' %}" role="button"><img src="{% static 'openscoco/img/icons8-password-reset-100.png' %}" height="60"><br/>Operadores, Entradas y Salidas {{ request.session.entrenar.1 }}%</a>
        
        <a class="btn btn-lg btn-outline-warning" href="{% url 'openscoco:condicionales1' %}" role="button"><img src="{% static 'openscoco/img/icons8-split-100.png' %}" height="60"><br/>Condicionales {{ request.session.entrenar.2 }}%</a>
        
        <a class="btn btn-lg btn-outline-warning" href="{% url 'openscoco:ciclos1' %}" role="button"><img src="{% static 'openscoco/img/icons8-process-100.png' %}" height="60"><br/>Ciclos {{ request.session.entrenar.3 }}%</a>
        
        <a class="btn btn-lg btn-outline-warning" href="{% url 'openscoco:funciones1' %}" role="button"><img src="{% static 'openscoco/img/icons8-project-setup-100.png' %}" height="60"><br/>Funciones {{ request.session.entrenar.4 }}%</a>

        <a class="btn btn-lg btn-outline-warning" href="{% url 'openscoco:vectores1' %}" role="button"><img src="{% static 'openscoco/img/icons8-improvement-100.png' %}" height="60"><br/>Vectores o Listas {{ request.session.entrenar.5 }}%</a>

      </div>
      <!--<a class="btn btn-warning" href="{% url 'openscoco:reto1' %}" role="button">Continuar</a>-->
    </div>
    <br/>
    <br/>
    <!-- <h4 class="display-4">Registro:</h4> -->
    <button class="btn btn-info" onclick="window.location.reload(true)" title="Force reload...">Actualizar</button>
  </section>

  <!-- Flexbox container for aligning the toasts -->
  <div aria-live="polite" aria-atomic="true" style="position: relative; min-height: 200px;">
    <div class="toast" style="position: absolute; top: 0; right: 0;">
    <div class="toast-header">
      <img src="{% static 'openscoco/img/icons8-orthogonal-view-100.png' %}" class="rounded mr-2" alt="...">
      <strong class="mr-auto">Bootstrap</strong>
      <small>11 mins ago</small>
      <button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="toast-body">
      Hello, world! This is a toast message.
    </div>
  </div>
</div>

  <!-- JavaScript -->
  <script src="{% static 'openscoco/js/jquery-3.5.1.slim.min.js' %}"></script>
  <script src="{% static 'openscoco/js/popper.min.js' %}"></script>
  <script src="{% static 'openscoco/js/bootstrap.min.js' %}"></script>

  <script src="{% static 'openscoco/js/libreria.js' %}"></script>
  
  <!-- Global site tag (gtag.js) - Google Analytics -->
  <script async src="https://www.googletagmanager.com/gtag/js?id=G-XYS1VDZ9QZ"></script>
  <script>
    window.dataLayer = window.dataLayer || [];
    function gtag() { dataLayer.push(arguments); }
    gtag('js', new Date());

    gtag('config', 'G-XYS1VDZ9QZ');
  </script>
</body>

</html>

proyectos_ns/ptp2/openscoco_interactivo_django-main/openscoco_django/openscoco/templates/openscoco/funciones_5.html
{% load static %}
<!DOCTYPE html>
<html lang="es">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Opens Coco - Entrenamiento</title>
  <meta name="description" content="Opens Coco - Producto Tecnico Pedagógico SENA." />
  <meta name=”robots” content="index, follow">
  <meta name="keywords" content="logica, programación, python">
  <meta name="author" content="Jorge Antonio García Cárdenas">

  <link href="https://fonts.googleapis.com/css2?family=Architects+Daughter&display=swap" rel="stylesheet" />
  <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@200;400;600&display=swap" rel="stylesheet" />

  <link rel="stylesheet" href="{% static 'openscoco/css/bootstrap.min.css' %}" />
  <link rel="stylesheet" href="{% static 'openscoco/css/hover-min.css' %}" />
  <link rel="stylesheet" href="{% static 'openscoco/css/animate.min.css' %}" />

  <link rel="stylesheet" href="{% static 'openscoco/css/diseno.css' %}" />

  <link rel="apple-touch-icon" sizes="180x180" href="{% static 'openscoco/img/favicon_io/apple-touch-icon.png' %}">
  <link rel="icon" type="image/png" sizes="32x32" href="{% static 'openscoco/img/favicon_io/favicon-32x32.png' %}">
  <link rel="icon" type="image/png" sizes="16x16" href="{% static 'openscoco/img/favicon_io/favicon-16x16.png' %}">
  <link rel="manifest" href="{% static 'openscoco/img/favicon_io/site.webmanifest' %}">
</head>

<body>

  

  <section id="fondo">
    <div class="progress" style="background-color:rgba(255, 255, 255, 0);">
      <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar"
          aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 100%">100%</div>
  </div>
  <div class="container">
      <div class="d-flex justify-content-center">
              <img src="{% static 'openscoco/img/icons8-project-setup-100.png' %}" height="32">
              <img src="{% static 'openscoco/img/t_funciones.png' %}" width="50%">
      </div>
      <br>
    <div>

      <h1 style="color:orange">Felicitaciones has completado este nivel!!</h1>
      <img src="{% static 'openscoco/img/icons8-phonelink-lock-100.png' %}" height="100"><br />
      <!-- fin centro -->
      <a class="btn btn-warning" href="{% url 'openscoco:vectores1' %}" role="button">Siguiente tema</a>
      <br><br><br>
      <a class="btn btn-dark" href="javascript:reset('{% url 'openscoco:reset4' %}')" role="button">Resetear Avance</a>
    </div>
    <br />
    <br />

  </section>

  <!-- Modal -->
  <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle"
    aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLongTitle">Opens Coco</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body" id="rmodal">
          ...
        </div>
        <div class="modal-footer">
          <a id="rboton" class="btn btn-primary" href="#" role="button">Aceptar</a>
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        </div>
      </div>
    </div>
  </div>

  <!-- JavaScript -->
  <script src="{% static 'openscoco/js/jquery-3.5.1.slim.min.js' %}"></script>
  <script src="{% static 'openscoco/js/popper.min.js' %}"></script>
  <script src="{% static 'openscoco/js/bootstrap.min.js' %}"></script>

  <script src="{% static 'openscoco/js/libreria.js' %}"></script>

</body>

</html>